> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poyo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# H3 Max Turbo

> 根据文本、首帧或首尾帧生成视频

> [!TIP]
>
> 1. 提交后会返回 `task_id`。如果提供了 `callback_url`，当任务状态变为 `finished` 或 `failed` 时，系统会向 `callback_url` 发送 POST 请求。
> 2. 无论是否提供 `callback_url`，都可以通过统一的[查询任务状态](https://docs.poyo.ai/zh/api-manual/task-management/status.md)接口获取结果。

H3 Max Turbo 可生成 480p、768p 或 1080p、时长 5–15 秒的视频。

## 模型

* **h3-max-turbo** — H3 Max Turbo

## 功能

* **文生视频：** 不传 `image_urls` 或传空数组。
* **首帧：** 在 `image_urls` 中提供一张图片。
* **首尾帧：** 在 `image_urls` 中提供两张图片，起始帧在前，结束帧在后。

图片引导生成会跟随第一张图片的宽高比。只要 `image_urls` 中包含图片，就不要传 `aspect_ratio`。

## 注意事项

* 所有模式下 `prompt` 均为必填，最多 50,000 个字符。
* `duration` 接受 `5` 到 `15` 秒的整数，默认为 `5`。
* `resolution` 接受 `480p`、`768p` 或 `1080p`，默认为 `768p`。也接受大写 `P`。
* `enable_safety_checker` (boolean) 为 `true` 时启用安全检查。所有模式下默认为 `true`；设为 `false` 可关闭。
* 文生视频支持 `21:9`、`16:9`、`4:3`、`1:1`、`3:4` 和 `9:16`。默认宽高比为 `16:9`。
* `image_urls` 最多接受两个可公开访问的图片 URL 或 Base64 图片。
* 该模型不支持参考媒体、自定义音轨、seed 和提示词扩展控制。


## OpenAPI

````yaml zh/api-manual/video-series/h3-max-turbo.json POST /api/generate/submit
openapi: 3.0.0
info:
  title: PoYo AI - H3 Max Turbo API
  description: 根据文本、首帧或首尾帧生成视频
  version: 1.0.0
servers:
  - url: https://api.poyo.ai
    description: 生产环境
security:
  - BearerAuth: []
paths:
  /api/generate/submit:
    post:
      tags:
        - H3 Max Turbo
      summary: 提交 H3 Max Turbo 任务
      operationId: submitH3MaxTurboTask
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitRequest'
            examples:
              text-to-video:
                summary: 文生视频
                value:
                  model: h3-max-turbo
                  input:
                    prompt: A cinematic aerial view of a coastal city at sunrise
                    duration: 5
                    resolution: 768p
                    aspect_ratio: '16:9'
              image-to-video:
                summary: 首帧
                value:
                  model: h3-max-turbo
                  input:
                    prompt: The camera slowly moves forward through the scene
                    duration: 10
                    resolution: 480p
                    image_urls:
                      - https://example.com/start.jpg
              first-last-frame:
                summary: 首尾帧
                value:
                  model: h3-max-turbo
                  callback_url: https://your-domain.com/callback
                  input:
                    prompt: Daylight gradually turns into sunset
                    duration: 10
                    resolution: 1080p
                    image_urls:
                      - https://example.com/start.jpg
                      - https://example.com/end.jpg
      responses:
        '200':
          description: 任务提交成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmitResponse'
        '400':
          description: 请求参数无效
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: 未授权：API Key 无效
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    SubmitRequest:
      type: object
      required:
        - model
        - input
      properties:
        model:
          type: string
          enum:
            - h3-max-turbo
          example: h3-max-turbo
        callback_url:
          type: string
          format: uri
          description: 可选的 Webhook 回调 URL。
        input:
          $ref: '#/components/schemas/H3MaxTurboInput'
    SubmitResponse:
      type: object
      required:
        - code
        - data
      properties:
        code:
          type: integer
          example: 200
          enum:
            - 200
            - 400
            - 401
            - 402
            - 403
            - 404
            - 408
            - 429
            - 500
            - 502
            - 503
          description: >-
            业务状态码。`200` 表示成功，其他值都表示请求失败。请务必检查这个字段：部分参数校验错误会以 HTTP 200 返回，响应体里的
            `code` 为 `400`。


            - `200`：成功

            - `400`：请求参数无效

            - `401`：API Key 缺失或无效

            - `402`：积分不足

            - `403`：没有权限

            - `404`：资源不存在

            - `408`：请求超时

            - `429`：请求频率超限

            - `500`：服务器内部错误

            - `502`：上游服务错误

            - `503`：服务暂不可用


            详见[错误码](/zh/api-manual/error-codes)。
        data:
          type: object
          required:
            - task_id
            - status
            - created_time
          properties:
            task_id:
              type: string
              example: task-unified-1790245800-h3turbo1
            status:
              type: string
              example: not_started
              enum:
                - not_started
                - running
                - finished
                - failed
              description: >-
                任务状态。提交后立即返回时始终为
                `not_started`。后续状态请通过[查询任务状态](/zh/api-manual/task-management/status)接口或
                `callback_url` 获取。


                - `not_started`：排队中，等待处理

                - `running`：生成中

                - `finished`：已完成，结果在 `files` 或 `output` 中

                - `failed`：失败，详情见 `error_message`
            created_time:
              type: string
              format: date-time
              example: '2026-09-24T10:30:00Z'
              description: 任务创建时间，ISO 8601 格式。
      example:
        code: 200
        data:
          task_id: task-unified-1790245800-h3turbo1
          status: not_started
          created_time: '2026-09-24T10:30:00Z'
    ErrorResponse:
      type: object
      required:
        - code
        - error
      properties:
        code:
          type: integer
          example: 400
          enum:
            - 200
            - 400
            - 401
            - 402
            - 403
            - 404
            - 408
            - 429
            - 500
            - 502
            - 503
          description: >-
            业务状态码。`200` 表示成功，其他值都表示请求失败。请务必检查这个字段：部分参数校验错误会以 HTTP 200 返回，响应体里的
            `code` 为 `400`。


            - `200`：成功

            - `400`：请求参数无效

            - `401`：API Key 缺失或无效

            - `402`：积分不足

            - `403`：没有权限

            - `404`：资源不存在

            - `408`：请求超时

            - `429`：请求频率超限

            - `500`：服务器内部错误

            - `502`：上游服务错误

            - `503`：服务暂不可用


            详见[错误码](/zh/api-manual/error-codes)。
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
              example: Invalid request parameters
            type:
              type: string
              example: invalid_request_error
    H3MaxTurboInput:
      type: object
      required:
        - prompt
      additionalProperties: false
      properties:
        prompt:
          type: string
          minLength: 1
          maxLength: 50000
          description: 描述生成视频的文本提示词。两种模式都必填，且不能只包含空白字符。
        duration:
          type: integer
          minimum: 5
          maximum: 15
          default: 5
          description: 生成视频的时长，单位为秒。
        resolution:
          type: string
          enum:
            - 480p
            - 768p
            - 1080p
            - 480P
            - 768P
            - 1080P
          default: 768p
          description: 输出分辨率：480p、768p 或 1080p。也接受大写 P。
        enable_safety_checker:
          type: boolean
          default: true
          description: 设为 true 时启用安全检查器。默认为 true。
        aspect_ratio:
          type: string
          enum:
            - '21:9'
            - '16:9'
            - '4:3'
            - '1:1'
            - '3:4'
            - '9:16'
          description: 仅用于文生视频，默认为 16:9。image_urls 包含图片时不要传。
        image_urls:
          type: array
          maxItems: 2
          items:
            type: string
            minLength: 1
          description: 首帧和可选的尾帧，按此顺序排列。使用公开的 HTTP(S) 图片 URL 或 Base64 图片。文生视频时不传或传 []。
      not:
        required:
          - image_urls
          - aspect_ratio
        properties:
          image_urls:
            minItems: 1
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        所有 API 接口都需要 Bearer Token 认证。


        创建 API Key：登录 PoYo，进入 **仪表盘 → API
        密钥**（[poyo.ai/zh/dashboard/api-key](https://poyo.ai/zh/dashboard/api-key)），点击创建
        Key。


        在请求头中添加：


        ```

        Authorization: Bearer YOUR_API_KEY

        ```

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.